Subject: Re: FVWM: FvwmIconMan Wish..

From: Brad Giaccio <[email-masked]>
Date: Tue, 4 Jan 2000 09:52:58 -0500

On Tue, Jan 04, 2000 at 10:48:33AM +0100, Jos wrote:
> > 
> > >When I choose a 10 pixels font eg lucidasans-bold-10, the minimum
> > >height of the icon manager is 16 pixels. Choosing a smaller height eg
> > >12, which should leave 1 pixel as top and bottom margin, has no effect,
> > >the height of the manager remains 16 pixels. (I set the manager to grow
> > >horizontally, by the way.)
> > >
> > >So I guess there is some kind of minimum top and bottom margin
> > >(this is what I meant by 'padding') built in.
> > 
> > *That* you can control by explicitly setting the *buttongeometry.
> > --
> 
> Well, it can be set using *buttongeometry, but the setting does not 
> take effect when it is smaller dan a certain value. Experiments show
> that this value is something like the font size plus 6 pixels. See the 
> example in the quote above. For larger values, it does work.
> 

After glansing at the code again it appears that the height is
controlled bt the larger of height passed into buttongeometry and the
fontheight plus a 4 pixel pad.  This means that as the code stands a
button can be no shorter than the fontheight plus 4 pixels.

The following patch to x.c in modules/FvwmIconMan
converts the logic so that if buttongeometry is of the form ##x0 the 0 will
cause the font calculation to be used, however if you set buttongeometry 
to ##x11 then a height of 11 pixels will be used regardless of the font size.  When the second form is used no guarntee gain be made about the appearance of the font in this missed size buttons.

--- x.c 1999/11/25 16:01:25     1.35
+++ x.c 2000/01/04 13:17:01@@ -688,8 +688,8 @@
                  height);
     if (val & WidthValue)
       man->geometry.boxwidth = width;
-    if (val & HeightValue)
-      man->geometry.boxheight = max (man->geometry.boxheight, height);
+    if ((val & HeightValue) && (height > 0) )
+        man->geometry.boxheight = height;
   }
   if (man->geometry_str) {
     geometry_mask = XParseGeometry (man->geometry_str, &man->geometry.x,

-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]